[package]
name = "hybrid_zeckendorf"
version = "0.1.0"
edition = "2021"
authors = ["Vladimir Veselov <veselov@ras.ru>"]
description = "Verified Rust implementation of Veselov's Hybrid Zeckendorf number system. Transpiled from CAB-certified C, extracted from kernel-checked Lean 4 proofs."
license = "MIT"
readme = "README.md"
repository = "https://github.com/Abraxas1010/heyting"
keywords = ["zeckendorf", "fibonacci", "number-theory", "verified", "formal-methods"]
categories = ["mathematics", "science"]

[lib]
name = "hybrid_zeckendorf"
path = "lib.rs"
